> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Permissões da Organização

> Obtenha uma lista paginada de permissões do Git às quais esta organização tem acesso

Requer uma Chave de API pessoal de administrador Enterprise.

Retorna uma lista paginada de permissões de repositórios Git às quais uma organização específica tem acesso dentro da sua Enterprise.


## OpenAPI

````yaml pt-BR/v2-openapi.yaml GET /v2/enterprise/organizations/{org_id}/git/permissions
openapi: 3.1.0
info:
  description: API Devin v2 com chaves de API pessoais para administradores do Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations/{org_id}/git/permissions:
    get:
      tags:
        - organizations
      summary: Endpoint de permissões da organização Enterprise
      description: >-
        Obter uma lista paginada de permissões do Git às quais esta organização
        tem acesso
      operationId: >-
        enterprise_organization_permissions_endpoint_v2_enterprise_organizations__org_id__git_permissions_get
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            title: Org Id
            type: string
        - in: query
          name: skip
          required: false
          schema:
            default: 0
            minimum: 0
            title: Skip
            type: integer
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_GitPermissionResponse_'
          description: Resposta bem-sucedida
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de Validação
components:
  schemas:
    PaginatedResponse_GitPermissionResponse_:
      properties:
        has_more:
          title: Has More
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/GitPermissionResponse'
          title: Items
          type: array
        limit:
          title: Limit
          type: integer
        next_cursor:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Cursor
        skip:
          title: Skip
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - skip
        - limit
        - has_more
      title: PaginatedResponse[GitPermissionResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GitPermissionResponse:
      properties:
        group_prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Prefix
        host:
          title: Host
          type: string
        permission_id:
          title: Permission Id
          type: string
        prefix_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Prefix Path
        repo_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Path
      required:
        - permission_id
        - host
      title: GitPermissionResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: >-
        Chave de API pessoal (apk_user_*) somente para administradores do
        Enterprise
      scheme: bearer
      type: http

````